### Method

# RB RhythmDB entry_type_get_by_name

#### Declaration [src]

    RhythmDBEntryType*
    rhythmdb_entry_type_get_by_name (
      RhythmDB* db,
      const char* name
    )

#### Description [src]

Locates a `RhythmDBEntryType` by name. Returns NULL if no entry type is registered with the specified name.

#### Parameters

`name`

  Type: `const char*`

  Name of the type to look for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RhythmDBEntryType`

The `RhythmDBEntryType`.

The returned data is owned by the instance.